@import url('https://fonts.googleapis.com/css2?family=Unbounded:wght@200..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body {
    width: 100%;
    overflow-x: hidden;
}
.container_layout{
    background-image: url(../image/bg-banner.webp);
    background-position: center;
    background-size: cover;
    padding: 2vw;
    width: 100%;
    height: 100vh;
    overflow-y: scroll;
}
.container_layout::-webkit-scrollbar{
    display: none;
}
.container {
  border: .2vw solid #DDBA82;
  padding: 4vw;
  border-radius: 1vw;
}
.container_heading{
    text-align: center;
    margin-bottom: 2.5vw;
}
.container_heading h1{
    font-size: 4vw;
    color: #DDBA82;
    font-family: "Unbounded", sans-serif;
}
.form_container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 2vw;
    width: 100%;
    border-bottom: .1vw solid #ddba8280;
    padding-bottom: 2.8vw;
}
.container_main{
    border-bottom: .1vw solid #ddba8280;
    padding-bottom: 2.8vw;
}
.field input{
    width: 100%;
    padding: .76vw 1.3vw;
    outline: none;
    border: .2vw solid #DDBA82;
    background-color: transparent;
    border-radius: .7vw;
    font-family: "Inter", sans-serif;
    font-size: 1.3vw;
    color: white;
}
.field input::placeholder{
    color: white;
}
/* Untuk Chrome, Safari, Edge */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Untuk Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
.form_container button{
    width: 100%;
    padding: .76vw 1.3vw;
    outline: none;
    border: .2vw solid #DDBA82;
    background-color: #DDBA82;
    border-radius: .7vw;
    font-family: "Inter", sans-serif;
    font-size: 1.3vw;
    color: rgb(31, 31, 31);
    cursor: pointer;
}
.table_container{
    margin-top: 2.4vw;
}
.table_container h2{
    color: #DDBA82;
    font-family: "Unbounded", sans-serif;
    font-size: 2.3vw;
    font-weight: 500;
    text-align: center;
}
table {
  width: 100%;
  border-collapse: collapse;
  border: none;
}
table th{
    background-color: #DDBA82;
    font-family: "Inter", sans-serif;
    font-size: 1.3vw;
    color: rgb(31, 31, 31);
    border: .2vw solid #DDBA82;
    padding: .8vw;
    text-align: center;
}
table td {
  border: .2vw solid #DDBA82;
  padding: .8vw;
  text-align: center;
  font-family: "Inter", sans-serif;
  font-size: 1.3vw;
  color: white;
}
.select_process{
    width: max-content;
    display: block;
    margin: auto;
    margin-top: 2vw;
    display: flex;
    align-items: center;
    gap: .8vw;
}
.select_process label{
    font-size: 1.3vw;
    color: #DDBA82;
    font-family: "Inter", sans-serif;
}
.select_process select{
    font-size: 1.3vw;
    padding: .55vw .86vw;
    outline: none;
    border: .2vw solid #DDBA82;
    background-color: transparent;
    color: white;
    border-radius: .7vw;
    padding-right: 2.1vw;
}
.select_process select option{
    color: rgb(31, 31, 31);
}
/* Untuk semua browser WebKit (Chrome, Safari, Edge) */
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

/* Opsional: untuk mengatur posisi agar tidak ada sisa ruang chevron */
select::-ms-expand {
  display: none; /* khusus Internet Explorer */
}
.select_layout{
    position: relative;
}
.select_layout iconify-icon{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: .7vw;
    font-size: 1.6vw;
    color: white;
}
#quantumLabel{
    gap: .8vw;
    align-items: center;
}
#quantumLabel input{
    font-size: 1.3vw;
    padding: .55vw .86vw;
    outline: none;
    border: .2vw solid #DDBA82;
    background-color: transparent;
    color: white;
    border-radius: .7vw;
    width: 6vw;
}
#emptyMessage{
    font-size: 1.3vw;
    color: rgb(31, 31, 31);
    font-family: "Inter", sans-serif;
    border: .2vw solid #DDBA82;
    padding: .9vw 1vw;
    text-align: center;
    margin-top: 1vw;
    border-radius: .9vw;
    background-color: #DDBA82;
}
.table_main{
    border-radius: 1vw;
    overflow: hidden;
    width: 100%;
    height: max-content;
    margin-top: 1vw;
    border: .2vw solid #DDBA82;
}
.box_detail{
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0;
    top: 0;
    background-image: url(../image/bg_cream.webp);
    background-size: cover;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transform: translateY(0);
    transition: 0.3s ease;
}
.box_detail.active{
    transform: translateY(-100%);
}
.box_detail h1{
    font-family: "Unbounded", sans-serif;
    font-size: 4vw;
    color: rgb(31, 31, 31);
    margin-bottom: 1.2vw;
}
.box_detail span{
    font-size: 1.2vw;
    color: rgb(31, 31, 31);
    font-family: "Inter", sans-serif;
}
.box_detail ul{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 2vw;
    gap: .7vw   ;
}
.box_detail ul li{
    font-size: 1.3vw;
    list-style: none;
    color: rgb(31, 31, 31);
    font-family: "Inter", sans-serif;
}
.box_detail button{
    font-size: 1.3vw;
    padding: .7vw 1.8vw;
    border-radius: 100vw;
    background-color: rgb(31, 31, 31);
    color: white;
    font-family: "Inter", sans-serif;
    outline: none;
    border: none;
    margin-top: 1.8vw;
    cursor: pointer;
}
#resetBtn{
    outline: none;
    background-color: transparent;
    border: .2vw solid #DDBA82;
    color: white;
    padding: .7vw 1.4vw;
    font-size: 1.3vw;
    border-radius: 100vw;
    width: max-content;
    margin: auto;
    margin-top: 2vw;
    display: block;
}
#averageInfo{
    background-color:#DDBA82;
    border-radius: .87vw;
    width:100%;
    display: flex;
    justify-content: space-between;
    padding: .93vw 1.3vw;
    margin-top: 2vw;
}
#averageInfo p{
    font-size: 1.3vw;
    font-family: "Inter", sans-serif;
    color: rgb(31, 31, 31);
    font-weight: 600;
}

@media (max-width:768px) {
    .box_detail h1 {
        font-size: 11vw;
        margin-bottom: 4.2vw;
    }
    .box_detail span {
        font-size: 4.2vw;
    }
    .box_detail ul {
        margin-top: 7vw;
        gap: 3vw;
    }
    .box_detail ul li {
        font-size: 4.3vw;
    }
    .box_detail button{
        font-size: 4.3vw;
        padding: 3.3vw 5.8vw;
        margin-top: 7.8vw;
    }

    .container_layout{
        padding: 0;
    }
    .container{
        border: none;
        padding: 12vw 5vw;
    }
    .container_heading {
        margin-bottom: 5.5vw;
    }
    .container_heading h1 {
        font-size: 5.7vw;
    }
    .form_container{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 4vw;
        padding-bottom: 7.8vw;
    }
    .field input {
        padding: 2.76vw 4.3vw;
        border-radius: 2.7vw;
        font-size: 3.7vw;
    }
    .form_container button {
        padding: 2.76vw 4.3vw;
        border-radius: 2.7vw;
        font-size: 3.7vw;
    }
    .container_main {
        padding-bottom: 6.8vw;
        margin-top: 8vw;
    }
    .table_container{
        margin-top: 6.4vw;
    }
    .table_container h2 {
        font-size: 5.3vw;
    }
    .table_main {
        border-radius: 3vw;
        margin-top: 4vw;
        width: 100%;
    }
    table{
        width: 100%;
    }
.table_main_overflow{
    overflow-x: scroll;
}
.table_layout{
    width: 100%;
    overflow-x: scroll;
}
    .table_main_overflow table{
        width: max-content;
    }
    table th{
        font-size: 3.7vw;
        padding: 3vw 2.7vw;
    }
    table td{
        font-size: 3.7vw;
        padding: 3vw 0.8vw;
    }
    .select_process{
        margin-top: 5vw;
        gap: 3.6vw;
        flex-direction: column;
    }
    .select_process label{
        font-size: 3.7vw;
    }
    .select_process select {
        font-size: 3.7vw;
        padding: 2vw 3vw;
        border-radius: 1.7vw;
        padding-right: 8vw;
    }
    .select_layout iconify-icon {
        right: 1.7vw;
        font-size: 4.6vw;
    }
    #quantumLabel{
        flex-direction: column;
        gap: 2vw;
    }
    #quantumLabel input{
        font-size: 3.7vw;
        padding: 2vw 3vw;
        border-radius: 1.7vw;
        width: 18vw;
    }
    #emptyMessage {
        font-size: 3.7vw;
        padding: 2.9vw 1vw;
        margin-top: 3vw;
        border-radius: 2vw;
    }
    #resetBtn {
        padding: 2.7vw 4.4vw;
        font-size: 3.7vw;
        margin-top: 7vw;
    }  
#averageInfo{
    background-color:#DDBA82;
    border-radius: 1.3vw;
    width:100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1.8vw 4vw;
    margin-top: 4vw;
    gap: 1.1vw;
}
#averageInfo p{
    font-size: 3.7vw;
    font-family: "Inter", sans-serif;
    color: rgb(31, 31, 31);
}
}